Skip to main content
`Ctrl`+`K`

# PetscMatlabEngineDestroy

Shuts down a MATLAB engine.

## Synopsis

    #include "petscmatlab.h"
    PetscErrorCode PetscMatlabEngineDestroy(PetscMatlabEngine *v)

Collective

## Input Parameter

- v - the engine

## See Also

`PetscMatlabEngineCreate()`, `PetscMatlabEnginePut()`, `PetscMatlabEngineGet()`, `PetscMatlabEngineEvaluate()`, `PetscMatlabEngineGetOutput()`, `PetscMatlabEnginePrintOutput()`, `PETSC_MATLAB_ENGINE_()`, `PetscMatlabEnginePutArray()`, `PetscMatlabEngineGetArray()`, `PetscMatlabEngine`

## Level

advanced

## Location

src/sys/classes/matlabengine/matlab.c

Index of all Matlab routines
Table of Contents for all manual pages
Index of all manual pages